io.vertx.rxjava3.ext.web.client.predicate

## Class ErrorConverter

- java.lang.Object
- - io.vertx.rxjava3.ext.web.client.predicate.ErrorConverter

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

  Deprecated.

      @Deprecated
      public class ErrorConverter
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Converts a `ResponsePredicateResult` to a `Throwable` describing the error.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ErrorConverter>` | `__TYPE_ARG` Deprecated.
    `static ErrorConverter` | `DEFAULT_CONVERTER` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorConverter(ErrorConverter delegate)` Deprecated.
    `ErrorConverter(Object delegate)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `apply(ResponsePredicateResult result)` Deprecated.
    `static ErrorConverter` | `create(java.util.function.Function<ResponsePredicateResult,Throwable> converter)` Deprecated.
    `static ErrorConverter` | `createFullBody(java.util.function.Function<ResponsePredicateResult,Throwable> converter)` Deprecated.
    `boolean` | `equals(Object o)` Deprecated.
    `ErrorConverter` | `getDelegate()` Deprecated.
    `int` | `hashCode()` Deprecated.
    `static ErrorConverter` | `newInstance(ErrorConverter arg)` Deprecated.
    `boolean` | `requiresBody()` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ErrorConverter> __TYPE_ARG

      Deprecated.

    - #### DEFAULT_CONVERTER

          public static final ErrorConverter DEFAULT_CONVERTER

      Deprecated.

  - ### Constructor Detail

    - #### ErrorConverter

          public ErrorConverter(ErrorConverter delegate)

      Deprecated.

    - #### ErrorConverter

          public ErrorConverter(Object delegate)

      Deprecated.

  - ### Method Detail

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Deprecated.
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Deprecated.
      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public ErrorConverter getDelegate()

      Deprecated.
      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### create

          @Deprecated
          public static ErrorConverter create(java.util.function.Function<ResponsePredicateResult,Throwable> converter)

      Deprecated.
      Creates a full `ErrorConverter`, that will passed a predicate result with the response body.

      The `converter` function will be invoked after the HTTP response body is received.

      Parameters:
        `converter` - a function creating a `Throwable` from a `ResponsePredicateResult`
      Returns:

    - #### createFullBody

          @Deprecated
          public static ErrorConverter createFullBody(java.util.function.Function<ResponsePredicateResult,Throwable> converter)

      Deprecated.
      Creates a full `ErrorConverter`, that will passed a predicate result with the response body.

      The `converter` function will be invoked after the HTTP response body is received.

      Parameters:
        `converter` - a function creating a `Throwable` from a `ResponsePredicateResult`
      Returns:

    - #### apply

          @Deprecated
          public Throwable apply(ResponsePredicateResult result)

      Deprecated.

    - #### requiresBody

          @Deprecated
          public boolean requiresBody()

      Deprecated.
      Returns:
        `true` when the converter wants to process the request body.

    - #### newInstance

          public static ErrorConverter newInstance(ErrorConverter arg)

      Deprecated.

Copyright © 2025 Eclipse. All rights reserved.